<?php
    /**
     * 
     * Plantilla mejorada para Dashboard Administrativo.
     * 
     */
    
    include('xcrud/xcrud.php');  
    $xcrud = Xcrud::get_instance();
    
    $xcrud->table('condominios');  
    // id, id_inmueble, condominio_nombre, numero, status, fecha_alta, idUsuario 
    $xcrud->columns('id, id_inmueble, condominio_nombre, numero, fecha_alta ');
    $xcrud->fields('id, id_inmueble, condominio_nombre, numero, fecha_alta ');
    $xcrud->relation('id_inmueble','inmueble','id','nombre_inmueble');
    $xcrud->hide_button('save_new');
    $xcrud->hide_button('save_edit');
    $xcrud->pass_var('idUsuario','1');
?>
<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Dashboard Administrativo</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="css/styles.css" rel="stylesheet">
</head>

<body>

    <!-- Navbar superior -->
    <nav class="navbar navbar-expand-lg navbar-dark">
        <a class="navbar-brand" href="#">Admin Dashboard</a>
    </nav>

    <!-- Menú lateral (sidebar) -->
    <?php include("sidebar.php"); ?>

    <!-- Contenido principal -->
    <div class="content">
        <div class="container mt-4">
            <h1>Administrar Inmuebles</h1>
            
            <!-- Integración de Xcrud -->
            <?php
                echo $xcrud->render();  // Renderizamos la vista de Xcrud
            ?>
        </div>
    </div>

    <!-- Footer -->
    <?php include("footer.php"); ?>

    <!-- Bootstrap JS -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>
