<?php
    // Conexión a la base de datos
    $conexion = new mysqli("localhost", "root", "gabino22", "condominios");
    if ($conexion->connect_error) {
        die("Error de conexión: " . $conexion->connect_error);
    }

    // Consultas SQL para obtener la información del dashboard
    $sql_pagos_pendientes = "SELECT COUNT(*) AS total_pendientes FROM pagos WHERE status = 0";
    $sql_inquilinos = "SELECT COUNT(*) AS total_inquilinos FROM inquilinos";
    $sql_pagos_mes = "SELECT SUM(monto) AS total_pagos FROM pagos WHERE MONTH(fecha_pago) = MONTH(CURDATE())";
    $sql_edificios = "SELECT COUNT(*) AS total_edificios FROM inmueble";

    // Ejecutar las consultas y obtener los resultados
    $result_pagos_pendientes = $conexion->query($sql_pagos_pendientes);
    $result_inquilinos = $conexion->query($sql_inquilinos);
    $result_pagos_mes = $conexion->query($sql_pagos_mes);
    $result_edificios = $conexion->query($sql_edificios);

    // Guardar los resultados en variables
    $total_pendientes = $result_pagos_pendientes->fetch_assoc()['total_pendientes'];
    $total_inquilinos = $result_inquilinos->fetch_assoc()['total_inquilinos'];
    $total_pagos_mes = $result_pagos_mes->fetch_assoc()['total_pagos'] ?? 0; // Si no hay pagos, asigna 0
    $total_edificios = $result_edificios->fetch_assoc()['total_edificios'];

    // Cerrar la conexión
    $conexion->close();
?>
<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Dashboard Administrativo</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet">
    <style>
        body {
            background-color: #f4f7f6;
        }

        .navbar {
            background-color: #007bff;
        }

        .sidebar {
            height: 100vh;
            background-color: #343a40;
            padding-top: 20px;
            position: fixed;
            width: 200px;
        }

        .sidebar a {
            color: white;
            display: block;
            padding: 15px;
            text-decoration: none;
            border-bottom: 1px solid #484848;
        }

        .sidebar a:hover {
            background-color: #007bff;
        }

        .content {
            margin-left: 220px;
            padding: 20px;
        }

        .content h1 {
            color: #007bff;
            margin-bottom: 20px;
        }

        .card {
            border: none;
            border-radius: 10px;
            box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
        }

        .card-header {
            background-color: #007bff;
            color: white;
            border-radius: 10px 10px 0 0;
        }

        .card-body {
            padding: 20px;
        }

        .card-title {
            font-size: 1.5rem;
            font-weight: bold;
        }

        footer {
            background-color: #343a40;
            color: white;
            padding: 10px 20px;
            text-align: center;
            position: fixed;
            width: 100%;
            bottom: 0;
        }
    </style>
</head>

<body>

    <!-- Navbar superior -->
    <nav class="navbar navbar-expand-lg navbar-dark">
        <a class="navbar-brand" href="#">Admin Dashboard</a>
    </nav>

   <?php include("sidebar.php"); ?>

    <!-- Contenido principal -->
    <div class="content">
        <h1>Resumen Administrativo</h1>

        <!-- Tarjetas de resumen -->
        <div class="row">
            <div class="col-md-3 mb-4">
                <div class="card">
                    <div class="card-header">
                        Pagos Pendientes
                    </div>
                    <div class="card-body">
                        <h5 class="card-title"><?php echo $total_pendientes; ?></h5>
                        <p class="card-text">Pagos pendientes de inquilinos.</p>
                    </div>
                </div>
            </div>

            <div class="col-md-3 mb-4">
                <div class="card">
                    <div class="card-header">
                        Inquilinos
                    </div>
                    <div class="card-body">
                        <h5 class="card-title"><?php echo $total_inquilinos; ?></h5>
                        <p class="card-text">Total de inquilinos registrados.</p>
                    </div>
                </div>
            </div>

            <div class="col-md-3 mb-4">
                <div class="card">
                    <div class="card-header">
                        Pagos este Mes
                    </div>
                    <div class="card-body">
                        <h5 class="card-title">$<?php echo number_format($total_pagos_mes, 2); ?></h5>
                        <p class="card-text">Total de pagos realizados este mes.</p>
                    </div>
                </div>
            </div>

            <div class="col-md-3 mb-4">
                <div class="card">
                    <div class="card-header">
                        Edificios
                    </div>
                    <div class="card-body">
                        <h5 class="card-title"><?php echo $total_edificios; ?></h5>
                        <p class="card-text">Número total de edificios.</p>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php include("footer.php"); ?>
    <!-- Bootstrap JS -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>
