<?php
// Incluir la librería FPDF
require('fpdf/fpdf.php');

// Conexión a la base de datos para obtener los detalles del pago
$conexion = new mysqli("localhost", "root", "gabino22", "condominios");
if ($conexion->connect_error) {
    die("Error de conexión: " . $conexion->connect_error);
}

$pago_id = $_GET['pago_id'];

// Consulta para obtener la información del pago
$sql = "SELECT pagos.*, inquilinos.nombre AS inquilino, departamento.numero AS departamento, 
        condominios.condominio_nombre AS edificio, inmueble.calle AS ubicacion
        FROM pagos
        JOIN inquilinos ON pagos.id_inquilino = inquilinos.id
        JOIN departamento ON departamento.id_inquilino = inquilinos.id
        JOIN condominios ON condominios.id = departamento.id_condominio
        JOIN inmueble ON inmueble.id = condominios.id_inmueble
        WHERE pagos.id = '$pago_id'";
        
$result = $conexion->query($sql);
$datos_pago = $result->fetch_assoc();

// Crear un nuevo documento PDF
$pdf = new FPDF();
$pdf->AddPage();

// Título del recibo
$pdf->SetFont('Arial', 'B', 16);
$pdf->Cell(0, 10, 'RECIBO DE PAGO', 0, 1, 'C');

// Información del condominio
$pdf->SetFont('Arial', '', 12);
$pdf->Cell(0, 10, 'Condominio: ' . $datos_pago['edificio'] . ' - ' . $datos_pago['ubicacion'], 0, 1);

// Información del inquilino
$pdf->Cell(0, 10, 'Inquilino: ' . $datos_pago['inquilino'], 0, 1);
$pdf->Cell(0, 10, 'Departamento: ' . $datos_pago['departamento'], 0, 1);

// Información del pago
$pdf->Ln(10); // Salto de línea
$pdf->SetFont('Arial', 'B', 12);
$pdf->Cell(50, 10, 'Método de Pago:', 1);
$pdf->SetFont('Arial', '', 12);
$pdf->Cell(50, 10, $datos_pago['metodo_pago'], 1, 1);
$pdf->SetFont('Arial', 'B', 12);
$pdf->Cell(50, 10, 'Fecha de Pago:', 1);
$pdf->SetFont('Arial', '', 12);
$pdf->Cell(50, 10, $datos_pago['fecha_pago'], 1, 1);
$pdf->SetFont('Arial', 'B', 12);
$pdf->Cell(50, 10, 'Monto Pagado:', 1);
$pdf->SetFont('Arial', '', 12);
$pdf->Cell(50, 10, '$' . number_format($datos_pago['monto'], 2), 1, 1);

// Espacio final para agradecimiento
$pdf->Ln(10);
$pdf->Cell(0, 10, 'GRACIAS POR SU PAGO', 0, 1, 'C');

// Generar y descargar el PDF
$pdf->Output('D', 'recibo_pago_' . $datos_pago['id'] . '.pdf');
?>
