<?php
// Incluir la librería HTML2FPDF desde la carpeta local
include('html2fpdf/html2pdf.php'); // Asegúrate de que esta es la ruta correcta a la carpeta donde tienes HTML2FPDF

// Conexión a la base de datos para obtener los detalles del pago
$conexion = new mysqli("localhost", "root", "gabino22", "condominios");
if ($conexion->connect_error) {
    die("Error de conexión: " . $conexion->connect_error);
}

$pago_id = $_GET['pago_id'];

// Consulta para obtener la información del pago
$sql = "SELECT pagos.*, inquilinos.nombre AS inquilino, departamento.numero AS departamento, 
        condominios.condominio_nombre AS edificio, inmueble.calle AS ubicacion
        FROM pagos
        JOIN inquilinos ON pagos.id_inquilino = inquilinos.id
        JOIN departamento ON departamento.id_inquilino = inquilinos.id
        JOIN condominios ON condominios.id = departamento.id_condominio
        JOIN inmueble ON inmueble.id = condominios.id_inmueble
        WHERE pagos.id = '$pago_id'";
        
$result = $conexion->query($sql);
$datos_pago = $result->fetch_assoc();



// Definir el contenido HTML del recibo
$recibo_html = '
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Recibo de Pago</title>
    <style>
        body { font-family: Arial, sans-serif; color: #333; }
        h1 { text-align: center; color: #004085; }
        .header { background-color: #004085; color: white; padding: 10px; text-align: center; }
        .section { margin: 20px; padding: 10px; }
        .info-table { width: 100%; border-collapse: collapse; margin-bottom: 20px; }
        .info-table th, .info-table td { border: 1px solid #ddd; padding: 8px; }
        .info-table th { background-color: #f2f2f2; }
        .footer { text-align: center; margin-top: 20px; }
    </style>
</head>
<body>

    <div class="header">
        <h1>Recibo de Pago</h1>
        <p>Condominio: ' . $datos_pago['edificio'] . ' - ' . $datos_pago['ubicacion'] . '</p>
    </div>

    <div class="section">
        <h3>Información del Inquilino:</h3>
        <table class="info-table">
            <tr>
                <th>Nombre del Inquilino</th>
                <td>' . $datos_pago['inquilino'] . '</td>
            </tr>
            <tr>
                <th>Departamento</th>
                <td>' . $datos_pago['departamento'] . '</td>
            </tr>
            <tr>
                <th>Edificio</th>
                <td>' . $datos_pago['edificio'] . '</td>
            </tr>
            <tr>
                <th>Ubicación</th>
                <td>' . $datos_pago['ubicacion'] . '</td>
            </tr>
        </table>
    </div>

    <div class="section">
        <h3>Detalles del Pago:</h3>
        <table class="info-table">
            <tr>
                <th>Método de Pago</th>
                <td>' . $datos_pago['metodo_pago'] . '</td>
            </tr>
            <tr>
                <th>Fecha de Pago</th>
                <td>' . $datos_pago['fecha_pago'] . '</td>
            </tr>
            <tr>
                <th>Monto Pagado</th>
                <td>$' . number_format($datos_pago['monto'], 2) . '</td>
            </tr>
        </table>
    </div>

    <div class="footer">
        <p>Gracias por su pago</p>
    </div>

</body>
</html>
';

//echo $recibo_html;

// Crear un nuevo objeto HTML2PDF (recuerda que estás utilizando html2fpdf)
$html2pdf = new HTML2PDF('P', 'A4', 'es');

// Pasar el contenido HTML al PDF
$html2pdf->writeHTML($recibo_html);

// Descargar el archivo PDF
$html2pdf->output('recibo_pago_' . $datos_pago['id'] . '.pdf');


?>
