<?php
/**
 * Techbase Solutions (K) Commercial License
 *
 * This software is licensed under the Techbase Solutions (K) Extended License as attached with this software
 * You should have received a copy of the license along with this file. If not,
 * please contact Techbase Solutions (K) at xcrud17@gmail.com for a copy.
 *
 * Commercial use of this software is permitted only under the terms of the
 * Techbase Solutions (K) Commercial License. Redistributions and use in source
 * and binary forms, with or without modification, are strictly prohibited
 * unless explicitly granted by the Techbase Solutions (K) Commercial License.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * DO NOT REMOVE THIS LICENSE INFORMATION
 *
 * @copyright 2024 Techbase Solutions (K)
 * @license   https://xcrud.net
 * @email   xcrud17@gmail.com
 */
class Xcrud_config
{
    // default connection
    public static $dbname = 'condominios'; // Your database name
    public static $dbuser = 'root'; // Your database username
    public static $dbpass = 'gabino22'; // // Your database password
    public static $dbhost = 'localhost'; // Your database host, 'localhost' is default.
	//public static $dbport = '3307'; // Your database host, 'localhost' is default.   
    
    // theme and language
    public static $theme = 'bootstrap5'; // can be 'default', 'bootstrap','bootstrap4' or 'bootstrap5', 'minimal' or your custom. Theme of xCRUD visual presentation. For using bootstrap you need to load it on your page.
    public static $language = 'en'; // sets default localization
    public static $is_rtl = false; // enables right-to-left (RTL) mode
    
    
    // database advanced
    public static $dbencoding = 'utf8'; // Your database encoding, default is 'utf8'. Do not change, if not sure.
    public static $db_time_zone = ''; // database time zone, if you want use system default - leave empty.
    public static $mbencoding = 'utf-8'; // Your mb_string encoding, default is 'utf-8'. Do not change, if not sure.
    public static $dbprefix = '';

    
    // session
    public static $sess_name = 'PHPSESSID'; // If your script is already using the session, specify the session name for it. By default, the name of the session in PHP equal 'PHPSESSID'.
    public static $sess_expire = 30; // Specifies the lifetime of the session, as well as the existence of a key safety (for example, the maximum edit-saving timeout).
    public static $dynamic_session = false; // this option is used for compatibility with with frameworks and cms that using dynamic session name.
    public static $session_error_message = "<a href='javascript:location.reload()'>Refresh Page</a><br><strong>The verification key is out of date</strong><br />
                This means that your browser cached a previous version of this page with an old key (for security reasons the verification key is generated every request)<br />
                Why? Maybe you pressed the back button in your browser or opened a bookmark from last session. <br /><strong>Just reload the page, nothing happened :)</strong>";
    
    
    // multi session
    public static $multi_tab = true;   
    // alternative session (reqires memcache(d) and mcrypt)
    public static $alt_session = false; // use this only if you have troubles with native php sessions
    public static $alt_encription_key = 'super enc key'; // needs to protect alt. session data, required if alt. session is enabled
    public static $alt_lifetime = 30; // in minutes, maximum time between requests when instance's data can be valid
    public static $mc_host = 'localhost'; // Memcache(d) host
    public static $mc_port = 11211; // Memcache(d) port
       
    // scripts
    public static $load_bootstrap = false; // turn on, if you want to load bootstrap via xCRUD
    public static $load_bootstrap4 = false; // turn on, if you want to load bootstrap 4 via xCRUD
    public static $load_bootstrap5 = true; // turn on, if you want to load bootstrap 5 via xCRUD
    public static $load_semantic = false;
    public static $load_googlemap = true; // loads google map api for 'POINT' type. Turn off, if your site already uses it.
    public static $load_jquery = true; // loads jQuery, turn it off if you already have jQuery on your page. jQuery version must be at least 1.7. If your jQuery loads in the bottom of page, you must activate $manual_load and use  Xcrud::load_css() & Xcrud::load_js() on your page.
    public static $load_jquery_ui = true; // jQueryUI, turn it on if you already have jQueryUI on your page (datepicker and slider widgets are mandatory).
    public static $load_jcrop = true; // disable, if your page already uses jCrop
    public static $jquery_no_conflict = false; // Includes jQuery.noConflict(). Use according to jQuery documentation.
    public static $manual_load = false; // Allows you to disable xcruds css and js output, but you can use Xcrud::load_css() & Xcrud::load_js() in your code manually.
    public static $load_tabulator = true; 
    
    // editor
    public static $editor_url = 'editors/tinymce/tinymce.min.js'; // URL path to editor script, if you want to use the visual editor.
    //public static $editor_url = 'editors/ckeditor/ckeditor.js';
    public static $editor_init_url = ''; //  URL path to your custom initialization file for editor.
    public static $force_editor = false; // Forced initialization of editor, even if the path is not specified. Check this if you're already using editor on your page.
    public static $auto_editor_insertion = true; // inserts visual editor on textarea fields.
    
    //toast popups
    public static $load_toast = true; //loads the toast js
    public static $activate_toast_alerts = true; // activates toast alerts   
	public static $toast_success_color = '#1a5589'; 
	public static $toast_error_color = '#ff6666';
	
	//load videojs
	public static $load_videojs = false;
    
    // grid settings
    public static $show_primary_ai_field = false; // Show primary auto-increment field in create/edit view.
    public static $show_primary_ai_column = false; // Show primary auto-increment column in list view.
    public static $can_minimize = false; // allows 'minimize' arrow in grid
    public static $start_minimized = false; // Start all xCRUD instances minimized.
    public static $remove_confirm = true; // Show confirmation dialog on remove action.
    public static $column_cut = 50; // Sets the maximum number of characters in the column.
    public static $limit = 10; // default limit of rows per page
    public static $limit_list = array('25', '50', '100', 'all'); // default limits list
    public static $clickable_list_links = true; // make all links, emails clikable in list view
    public static $clickable_filenames = true; // makes filenames clikable in list view
    public static $fixed_action_buttons = true; // it allows to fix the action buttons on the right side of the table. Appears when you hover on row.
    public static $images_in_grid = true; // shows images in list view
    public static $images_in_grid_height = 55; // maximal height of thumbnails in list view
    public static $button_labels = true; // displays button labels in grid
    public static $strip_tags = true; // remove all tags from data in grid view. This is not affected to user patterns or other custom.
    public static $safe_output = false; // encodes special characters to html-entities in grid view
    
    // print
    public static $print_all_fields = false; // print all fields and rows of table or only visible.
    public static $print_full_texts = false; // print grid without cutting
    
    
    // csv export
    public static $csv_delimiter = ','; // default delimiter in CSV file.
    public static $csv_enclosure = '"'; // default enclosure in CSV file.
    public static $csv_all_fields = true; // export all fields and rows of table or only visible.
    
    // editing
    public static $make_checkbox = true; // display TINYINT(1),BIT(1),BOOL(1),BOOLEAN(1) fields like checkboxes
    public static $lists_null_opt = true; // display null(empty) option in all dropdowns and multiselects
    public static $enum_as_radio = false; // shows ENUM field as radiobox, dropdown by default
    public static $set_as_checkboxes = false; // shows SET field as checkboxes, multiselect by default
    public static $upload_folder_def = '../uploads'; // Default uploads folder on your site, relative to xCRUD folder or absolute path required. Folder is must exist.
    public static $not_null_is_required = false; // makes not null fields required
    
    // features
    public static $enable_printout = true; // show print button
    public static $enable_search = true; // show searck block
    public static $enable_pagination = true; // show pagination
    public static $enable_csv_export = true; // show csv export button
    public static $enable_table_title = true; // show table title and toggle button
    public static $enable_numbers = true; // show row numbers in grid
    public static $enable_limitlist = true; // show row numbers in grid
    public static $enable_sorting = true; // alows to sort by column
    public static $benchmark = false; // Displays information about the performance in the lower right corner.
    public static $nested_readonly_on_view = true; // turn of editing nested tables when viewing parent (can edit only when editing parent)
    public static $default_tab = false; // Sets name of tab for fields which not assigned with any tab. This tab will be created automatically. Tab will not be created when is FALSE.
    public static $nested_in_tab = true; // Nested will be displayed in tab if tabs are active
    
       
    // alert settings
    public static $email_from = 'mailer@example.com'; // email from address
    public static $email_from_name = 'xCRUD Data Management System'; // email from name
    public static $email_enable_html = true; // enables html in email letters

    
    // remote request options (call_page() methods)
    public static $use_browser_info = false; // allow to use your browser cookie, referer, user agent for http request to some file or url. BE CAREFUL: DON'T USE IT FOR REQUESTS TO EXTERNAL SITES!!!

    
    // date
    public static $date_first_day = 1; // 0 - Sunday, 1 - Monday etc. Uses in datepicker and search ranges
    public static $date_format = 'dd.mm.yy'; // jqueryui date format
    public static $time_format = 'HH:mm:ss'; // jqueryui time format
    public static $php_date_format = 'd.m.Y'; // php date format
    public static $php_time_format = 'H:i:s'; // php time format
    
    
    // search
    public static $search_all = true; // enables -all- option for search
    public static $available_date_ranges = array( // available date ranges, can be translated in language file
        'next_year',
        'next_month',
        'today',
        'this_week_today',
        'this_week_full',
        'last_week',
        'last_2weeks',
        'this_month',
        'last_month',
        'last_3months',
        'last_6months',
        'this_year',
        'last_year');
    public static $search_pattern = array('%','%'); // uses for LIKE operator in SQL request
    public static $search_opened = false; // make search always opened
    
    
    // map
    
    public static $default_point = '35.6894875,139.69170639999993';
    public static $default_text = 'your_position';
    public static $default_zoom = 8;
    public static $default_width = 500;
    public static $default_height = 300;
    public static $default_coord = true;
    public static $default_search = true;
    public static $default_search_text = 'search_here';
	public static $map_key = '';
	public static $google_map_api = '';
       
    // xcrud folder url
    public static $scripts_url = ''; // URL to the xCRUD folder, not real path, without a trailing slash, can be relative, e.g. 'some_folder/xcrud' or absolute, e.g. 'http://www.your_site.com/some_folder/xcrud'. If empty - will be detected automatically
    public static $urls2abs = true; // makes relative urls to absolute. Turn off if you have some troubles with relative urls.
     
    // system integration options. NO ANY TRAILING SLASHES!
    // urls (relative to $scripts_url or xcrud's folder, if $scripts_url is not defined)
    public static $plugins_uri = 'plugins'; // scripts and libraries
    public static $themes_uri = 'themes'; // css, images
    public static $lang_uri = 'languages'; // js files
    public static $ajax_uri = 'xcrud_ajax.php'; // main ajax file or url
    // paths (relative to xcrud's folder)
    public static $themes_path = 'themes'; // php and ini files
    public static $lang_path = 'languages'; // ini files
    // external session
    public static $external_session = false; // use only when you use integration with externall session
    // loading events
    public static $before_construct = false; // callable param, runs before instance creation
    public static $after_render = false; // callable param, runs after instance was rendered
        
    // system
    public static $demo_mode = false; // disables any changing data in database
    public static $performance_mode = false; // experimental, disables {field_tags} features
    public static $autoclean_timeout = 30000000; // in seconds. Do not change, if not sure. Xcrud clears old instances in session when you reload browser tab or open new tab with xcrud. In this case Xcrud can't work in two tabs in the same time. You can increase timeout on your risk.
    public static $autoclean_activate = true;// deactivate multi instance checks. if false means you can now use multiinstance or open multiple instances in different tabs without an issue
  
    // anti XSS
    public static $auto_xss_filtering = false; // enable all xcrud's POST and GET data filtering
    public static $xss_disalowed_attibutes = array('on\w*', /*'style',*/ 'xmlns', 'formaction'); // Remove bad attributes such as style, onclick and xmlns
    public static $xss_naughty_html = 'alert|applet|audio|basefont|base|behavior|bgsound|blink|body|embed|expression|form|frameset|frame|head|html|ilayer|input|isindex|layer|link|meta|object|plaintext|script|textarea|title|video|xml|xss'; // If a tag containing any of the words in the list below is found, the tag gets converted to entities.
    public static $xss_naughty_scripts = 'alert|cmd|passthru|eval|exec|expression|system|fopen|fsockopen|file|file_get_contents|readfile|unlink'; // imilar to above, only instead of looking for tags it looks for PHP and JavaScript commands that are disallowed.  Rather than removing the code, it simply converts the parenthesis to entities rendering the code un-executable.
    
    //SMPT Mail configuration
    public static $mail_host = 'mail.xcrud.net'; 
    public static $mail_port = 587; 
    public static $smtp_auth = true; 
    public static $username = 'sales@xcrud.net'; 
    public static $password = ''; 
    public static $emailfrom = 'xCrud team'; 
    public static $smtpsecure = 'tls';

    //blue imp file uploader
    public static $load_filuploader = false; 
    public static $blue_imp_server = "../xcrud/plugins/jQuery-File-Upload-master/server/php/";
    
    public static $search_on_typing = false;

    public static $load_canvas_draw = true;

    public static $load_additional_elements = true;

    public static $enable_flatpickr = false;//NOT IMPLEMENTED YET

    public static $load_select2 = true;

    public static $load_jquery_dirty = true;


    //public static $enable_advanced_search = false;
    
   
}
